Skip to navigation

🧪 List a Fleet’s SAFER Operating Authorities

Retrieve the operating authorities (common/contract/broker) held by the fleet linked to the given identifier. Identify the fleet using exactly one of fleet_id, fleet_ref, connection_id, vehicle_id, or vin. Returns an empty list if the fleet is accessible but not yet linked to a SAFER record.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

fleet_idstring or nullOptionalformat: "uuid"

Look up the fleet using Catena’s fleet ID. For your own fleet identifiers, use fleet_ref instead

fleet_refstring or nullOptional
Look up the fleet using your organization's fleet reference identifier.
connection_idstring or nullOptionalformat: "uuid"
Look up the fleet using a specific provider connection. This is the UUID assigned by Catena when your fleet connects to a TSP.
vehicle_idstring or nullOptionalformat: "uuid"
Look up the fleet that operates this vehicle, using Catena's vehicle ID.
vinstring or nullOptional
Look up the fleet that operates the vehicle with this VIN.

Response

Successful Response
idstringformat: "uuid"
registryenum

Registry/authority that maintains the carrier record

Allowed values:
authority_numberstring
created_atdatetime
updated_atdatetime
fleet_registry_idstring or nullOptional
legal_namestring or nullOptional
dba_namestring or nullOptional
common_statusenum or nullOptional

Operating authority status for a specific authority type (common/contract/broker)

Allowed values:
contract_statusenum or nullOptional

Operating authority status for a specific authority type (common/contract/broker)

Allowed values:
broker_statusenum or nullOptional

Operating authority status for a specific authority type (common/contract/broker)

Allowed values:

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
405
Method Not Allowed Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error
501
Not Implemented Error